package cn.com.poc.agent_application.convert;

import cn.com.poc.agent_application.entity.BizAgentApplicationApiConversationEntity;
import cn.com.poc.agent_application.model.BizAgentApplicationApiConversationModel;


public class BizAgentApplicationApiConversationConvert {

    public static BizAgentApplicationApiConversationEntity modelToEntity(BizAgentApplicationApiConversationModel model) {
        BizAgentApplicationApiConversationEntity entity = new BizAgentApplicationApiConversationEntity();
        entity.setId(model.getId());
        entity.setAgentId(model.getAgentId());
        entity.setConversationId(model.getConversationId());
        entity.setExpiredTime(model.getExpiredTime());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAgentApplicationApiConversationModel entityToModel(BizAgentApplicationApiConversationEntity entity) {
        BizAgentApplicationApiConversationModel model = new BizAgentApplicationApiConversationModel();
        model.setId(entity.getId());
        model.setAgentId(entity.getAgentId());
        model.setConversationId(entity.getConversationId());
        model.setExpiredTime(entity.getExpiredTime());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }

}